// Code generated by mockery v0.0.0-dev. DO NOT EDIT.

package scm

import (
	mock "github.com/stretchr/testify/mock"
	scm "gitlab.com/jones.will-heb/gitlab-buddy/internal/scm"
)

// RepoOption is an autogenerated mock type for the RepoOption type
type RepoOption struct {
	mock.Mock
}

// Execute provides a mock function with given fields: _a0
func (_m *RepoOption) Execute(_a0 *scm.IRepository) {
	_m.Called(_a0)
}
